View Issue Details

IDProjectCategoryView StatusLast Update
1287RackTablesSNMPpublic2019-01-20 01:57
ReporterchristophAssigned Torychka 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.20.8 
Target Version0.21.2Fixed in Version0.21.2 
Summary1287: Unknown OID '11.2.3.7.11.150' - HP 1810-8G v2
DescriptionHP 1810-8G v2 (J9802A)

8 port 1G

Supporting LLDP, STP, RSTP, LACP

snmpwalk files attached
TagsNo tags attached.

Activities

christoph

christoph

2014-07-28 12:39

reporter  

1810-8.txt (8,850 bytes)
Server01 ~ # snmpwalk -v 1 -c public switch04 sysDescr.0
SNMPv2-MIB::sysDescr.0 = STRING: HP 1810-8G, PL.1.9, eCos-3.0, 1_12_8-customized-h

Server01 ~ # snmpwalk -On -v 1 -c public switch04 sysObjectID.0
.1.3.6.1.2.1.1.2.0 = OID: .1.3.6.1.4.1.11.2.3.7.11.150

Server01 ~ # snmpwalk -v 1 -c public switch04 ifTable
IF-MIB::ifIndex.1 = INTEGER: 1
IF-MIB::ifIndex.2 = INTEGER: 2
IF-MIB::ifIndex.3 = INTEGER: 3
IF-MIB::ifIndex.4 = INTEGER: 4
IF-MIB::ifIndex.5 = INTEGER: 5
IF-MIB::ifIndex.6 = INTEGER: 6
IF-MIB::ifIndex.7 = INTEGER: 7
IF-MIB::ifIndex.8 = INTEGER: 8
IF-MIB::ifIndex.9 = INTEGER: 9
IF-MIB::ifDescr.1 = STRING: Port:  1 Gigabit - Level
IF-MIB::ifDescr.2 = STRING: Port:  2 Gigabit - Level
IF-MIB::ifDescr.3 = STRING: Port:  3 Gigabit - Level
IF-MIB::ifDescr.4 = STRING: Port:  4 Gigabit - Level
IF-MIB::ifDescr.5 = STRING: Port:  5 Gigabit - Level
IF-MIB::ifDescr.6 = STRING: Port:  6 Gigabit - Level
IF-MIB::ifDescr.7 = STRING: Port:  7 Gigabit - Level
IF-MIB::ifDescr.8 = STRING: Port:  8 Gigabit - Level
IF-MIB::ifDescr.9 = STRING: IP Interface
IF-MIB::ifType.1 = INTEGER: ethernetCsmacd(6)
IF-MIB::ifType.2 = INTEGER: ethernetCsmacd(6)
IF-MIB::ifType.3 = INTEGER: ethernetCsmacd(6)
IF-MIB::ifType.4 = INTEGER: ethernetCsmacd(6)
IF-MIB::ifType.5 = INTEGER: ethernetCsmacd(6)
IF-MIB::ifType.6 = INTEGER: ethernetCsmacd(6)
IF-MIB::ifType.7 = INTEGER: ethernetCsmacd(6)
IF-MIB::ifType.8 = INTEGER: ethernetCsmacd(6)
IF-MIB::ifType.9 = INTEGER: other(1)
IF-MIB::ifMtu.1 = INTEGER: 9216
IF-MIB::ifMtu.2 = INTEGER: 9216
IF-MIB::ifMtu.3 = INTEGER: 9216
IF-MIB::ifMtu.4 = INTEGER: 9216
IF-MIB::ifMtu.5 = INTEGER: 9216
IF-MIB::ifMtu.6 = INTEGER: 9216
IF-MIB::ifMtu.7 = INTEGER: 9216
IF-MIB::ifMtu.8 = INTEGER: 9216
IF-MIB::ifMtu.9 = INTEGER: 1500
IF-MIB::ifSpeed.1 = Gauge32: 1000000000
IF-MIB::ifSpeed.2 = Gauge32: 100000000
IF-MIB::ifSpeed.3 = Gauge32: 1000000000
IF-MIB::ifSpeed.4 = Gauge32: 0
IF-MIB::ifSpeed.5 = Gauge32: 100000000
IF-MIB::ifSpeed.6 = Gauge32: 0
IF-MIB::ifSpeed.7 = Gauge32: 1000000000
IF-MIB::ifSpeed.8 = Gauge32: 100000000
IF-MIB::ifSpeed.9 = Gauge32: 1000000000
IF-MIB::ifPhysAddress.1 = STRING: 2c:59:e5:92:48:e0
IF-MIB::ifPhysAddress.2 = STRING: 2c:59:e5:92:48:e1
IF-MIB::ifPhysAddress.3 = STRING: 2c:59:e5:92:48:e2
IF-MIB::ifPhysAddress.4 = STRING: 2c:59:e5:92:48:e3
IF-MIB::ifPhysAddress.5 = STRING: 2c:59:e5:92:48:e4
IF-MIB::ifPhysAddress.6 = STRING: 2c:59:e5:92:48:e5
IF-MIB::ifPhysAddress.7 = STRING: 2c:59:e5:92:48:e6
IF-MIB::ifPhysAddress.8 = STRING: 2c:59:e5:92:48:e7
IF-MIB::ifPhysAddress.9 = STRING: 2c:59:e5:92:48:e0
IF-MIB::ifAdminStatus.1 = INTEGER: up(1)
IF-MIB::ifAdminStatus.2 = INTEGER: up(1)
IF-MIB::ifAdminStatus.3 = INTEGER: up(1)
IF-MIB::ifAdminStatus.4 = INTEGER: up(1)
IF-MIB::ifAdminStatus.5 = INTEGER: up(1)
IF-MIB::ifAdminStatus.6 = INTEGER: up(1)
IF-MIB::ifAdminStatus.7 = INTEGER: up(1)
IF-MIB::ifAdminStatus.8 = INTEGER: up(1)
IF-MIB::ifAdminStatus.9 = INTEGER: up(1)
IF-MIB::ifOperStatus.1 = INTEGER: up(1)
IF-MIB::ifOperStatus.2 = INTEGER: up(1)
IF-MIB::ifOperStatus.3 = INTEGER: up(1)
IF-MIB::ifOperStatus.4 = INTEGER: down(2)
IF-MIB::ifOperStatus.5 = INTEGER: up(1)
IF-MIB::ifOperStatus.6 = INTEGER: down(2)
IF-MIB::ifOperStatus.7 = INTEGER: up(1)
IF-MIB::ifOperStatus.8 = INTEGER: up(1)
IF-MIB::ifOperStatus.9 = INTEGER: up(1)
IF-MIB::ifLastChange.1 = Timeticks: (26987) 0:04:29.87
IF-MIB::ifLastChange.2 = Timeticks: (636) 0:00:06.36
IF-MIB::ifLastChange.3 = Timeticks: (85296472) 9 days, 20:56:04.72
IF-MIB::ifLastChange.4 = Timeticks: (0) 0:00:00.00
IF-MIB::ifLastChange.5 = Timeticks: (84238175) 9 days, 17:59:41.75
IF-MIB::ifLastChange.6 = Timeticks: (0) 0:00:00.00
IF-MIB::ifLastChange.7 = Timeticks: (84358565) 9 days, 18:19:45.65
IF-MIB::ifLastChange.8 = Timeticks: (44344526) 5 days, 3:10:45.26
IF-MIB::ifLastChange.9 = Timeticks: (0) 0:00:00.00
IF-MIB::ifInOctets.1 = Counter32: 747383436
IF-MIB::ifInOctets.2 = Counter32: 910788288
IF-MIB::ifInOctets.3 = Counter32: 887092
IF-MIB::ifInOctets.4 = Counter32: 0
IF-MIB::ifInOctets.5 = Counter32: 16003888
IF-MIB::ifInOctets.6 = Counter32: 0
IF-MIB::ifInOctets.7 = Counter32: 562296234
IF-MIB::ifInOctets.8 = Counter32: 130376978
IF-MIB::ifInOctets.9 = Counter32: 20885279
IF-MIB::ifInUcastPkts.1 = Counter32: 33188958
IF-MIB::ifInUcastPkts.2 = Counter32: 3103346
IF-MIB::ifInUcastPkts.3 = Counter32: 1720
IF-MIB::ifInUcastPkts.4 = Counter32: 0
IF-MIB::ifInUcastPkts.5 = Counter32: 78651
IF-MIB::ifInUcastPkts.6 = Counter32: 0
IF-MIB::ifInUcastPkts.7 = Counter32: 4788922
IF-MIB::ifInUcastPkts.8 = Counter32: 677767
IF-MIB::ifInUcastPkts.9 = Counter32: 328858
IF-MIB::ifInNUcastPkts.1 = Counter32: 386142
IF-MIB::ifInNUcastPkts.2 = Counter32: 89862
IF-MIB::ifInNUcastPkts.3 = Counter32: 77
IF-MIB::ifInNUcastPkts.4 = Counter32: 0
IF-MIB::ifInNUcastPkts.5 = Counter32: 2695
IF-MIB::ifInNUcastPkts.6 = Counter32: 0
IF-MIB::ifInNUcastPkts.7 = Counter32: 62031
IF-MIB::ifInNUcastPkts.8 = Counter32: 147146
IF-MIB::ifInNUcastPkts.9 = Counter32: 0
IF-MIB::ifInDiscards.1 = Counter32: 0
IF-MIB::ifInDiscards.2 = Counter32: 16
IF-MIB::ifInDiscards.3 = Counter32: 0
IF-MIB::ifInDiscards.4 = Counter32: 0
IF-MIB::ifInDiscards.5 = Counter32: 0
IF-MIB::ifInDiscards.6 = Counter32: 0
IF-MIB::ifInDiscards.7 = Counter32: 0
IF-MIB::ifInDiscards.8 = Counter32: 0
IF-MIB::ifInDiscards.9 = Counter32: 0
IF-MIB::ifInErrors.1 = Counter32: 0
IF-MIB::ifInErrors.2 = Counter32: 0
IF-MIB::ifInErrors.3 = Counter32: 0
IF-MIB::ifInErrors.4 = Counter32: 0
IF-MIB::ifInErrors.5 = Counter32: 0
IF-MIB::ifInErrors.6 = Counter32: 0
IF-MIB::ifInErrors.7 = Counter32: 1
IF-MIB::ifInErrors.8 = Counter32: 0
IF-MIB::ifInErrors.9 = Counter32: 0
IF-MIB::ifInUnknownProtos.1 = Counter32: 0
IF-MIB::ifInUnknownProtos.2 = Counter32: 0
IF-MIB::ifInUnknownProtos.3 = Counter32: 0
IF-MIB::ifInUnknownProtos.4 = Counter32: 0
IF-MIB::ifInUnknownProtos.5 = Counter32: 0
IF-MIB::ifInUnknownProtos.6 = Counter32: 0
IF-MIB::ifInUnknownProtos.7 = Counter32: 0
IF-MIB::ifInUnknownProtos.8 = Counter32: 0
IF-MIB::ifInUnknownProtos.9 = Counter32: 0
IF-MIB::ifOutOctets.1 = Counter32: 1532916861
IF-MIB::ifOutOctets.2 = Counter32: 1586389635
IF-MIB::ifOutOctets.3 = Counter32: 888614
IF-MIB::ifOutOctets.4 = Counter32: 0
IF-MIB::ifOutOctets.5 = Counter32: 52058511
IF-MIB::ifOutOctets.6 = Counter32: 0
IF-MIB::ifOutOctets.7 = Counter32: 3534590979
IF-MIB::ifOutOctets.8 = Counter32: 170906617
IF-MIB::ifOutOctets.9 = Counter32: 4567642
IF-MIB::ifOutUcastPkts.1 = Counter32: 8349508
IF-MIB::ifOutUcastPkts.2 = Counter32: 5262176
IF-MIB::ifOutUcastPkts.3 = Counter32: 1679
IF-MIB::ifOutUcastPkts.4 = Counter32: 0
IF-MIB::ifOutUcastPkts.5 = Counter32: 76755
IF-MIB::ifOutUcastPkts.6 = Counter32: 0
IF-MIB::ifOutUcastPkts.7 = Counter32: 27318444
IF-MIB::ifOutUcastPkts.8 = Counter32: 833595
IF-MIB::ifOutUcastPkts.9 = Counter32: 33035
IF-MIB::ifOutNUcastPkts.1 = Counter32: 330113
IF-MIB::ifOutNUcastPkts.2 = Counter32: 583847
IF-MIB::ifOutNUcastPkts.3 = Counter32: 3037
IF-MIB::ifOutNUcastPkts.4 = Counter32: 0
IF-MIB::ifOutNUcastPkts.5 = Counter32: 184640
IF-MIB::ifOutNUcastPkts.6 = Counter32: 0
IF-MIB::ifOutNUcastPkts.7 = Counter32: 611623
IF-MIB::ifOutNUcastPkts.8 = Counter32: 526558
IF-MIB::ifOutNUcastPkts.9 = Counter32: 0
IF-MIB::ifOutDiscards.1 = Counter32: 0
IF-MIB::ifOutDiscards.2 = Counter32: 0
IF-MIB::ifOutDiscards.3 = Counter32: 0
IF-MIB::ifOutDiscards.4 = Counter32: 0
IF-MIB::ifOutDiscards.5 = Counter32: 0
IF-MIB::ifOutDiscards.6 = Counter32: 0
IF-MIB::ifOutDiscards.7 = Counter32: 0
IF-MIB::ifOutDiscards.8 = Counter32: 0
IF-MIB::ifOutDiscards.9 = Counter32: 0
IF-MIB::ifOutErrors.1 = Counter32: 0
IF-MIB::ifOutErrors.2 = Counter32: 0
IF-MIB::ifOutErrors.3 = Counter32: 0
IF-MIB::ifOutErrors.4 = Counter32: 0
IF-MIB::ifOutErrors.5 = Counter32: 0
IF-MIB::ifOutErrors.6 = Counter32: 0
IF-MIB::ifOutErrors.7 = Counter32: 0
IF-MIB::ifOutErrors.8 = Counter32: 0
IF-MIB::ifOutErrors.9 = Counter32: 0
IF-MIB::ifOutQLen.1 = Gauge32: 0
IF-MIB::ifOutQLen.2 = Gauge32: 0
IF-MIB::ifOutQLen.3 = Gauge32: 0
IF-MIB::ifOutQLen.4 = Gauge32: 0
IF-MIB::ifOutQLen.5 = Gauge32: 0
IF-MIB::ifOutQLen.6 = Gauge32: 0
IF-MIB::ifOutQLen.7 = Gauge32: 0
IF-MIB::ifOutQLen.8 = Gauge32: 0
IF-MIB::ifOutQLen.9 = Gauge32: 0
IF-MIB::ifSpecific.1 = OID: SNMPv2-SMI::zeroDotZero
IF-MIB::ifSpecific.2 = OID: SNMPv2-SMI::zeroDotZero
IF-MIB::ifSpecific.3 = OID: SNMPv2-SMI::zeroDotZero
IF-MIB::ifSpecific.4 = OID: SNMPv2-SMI::zeroDotZero
IF-MIB::ifSpecific.5 = OID: SNMPv2-SMI::zeroDotZero
IF-MIB::ifSpecific.6 = OID: SNMPv2-SMI::zeroDotZero
IF-MIB::ifSpecific.7 = OID: SNMPv2-SMI::zeroDotZero
IF-MIB::ifSpecific.8 = OID: SNMPv2-SMI::zeroDotZero
IF-MIB::ifSpecific.9 = OID: SNMPv2-SMI::zeroDotZero
1810-8.txt (8,850 bytes)
christoph

christoph

2014-08-14 22:55

reporter  

1810-8g.txt (370 bytes)
$iftable_processors['procurve-1810-1000T'] = array
(
	'pattern' => '@^Port:  ([[:digit:]]+) Gigabit - Level$@',
	'replacement' => '\\1',
	'dict_key' => 24,
	'label' => '\\1',
	'try_next_proc' => FALSE,
);

	'11.2.3.7.11.150' => array
	(
		'dict_key' => 50003,
		'text' => 'J9802A: 8 RJ-45/10-100-1000T',
		'processors' => array ('procurve-1810-1000T'),
	),
1810-8g.txt (370 bytes)
christoph

christoph

2014-08-14 22:55

reporter   ~0002463

1810-8g.txt includes working configuration for snmp.php, the 1810-8G v2 needs to be created in the dictionary.

Related Changesets

RackTables: master 9fe8f36c

2018-12-18 14:02:43

rychka


Committer: infrastation Details Diff
Update snmp.php

add SNMP support for HP 1950 48G 2SFP+ 2XGT Switch (Mantis#1599)
add SNMP support for HPE FlexFabric 5900AF 48XG 4QSFP+ Switch (Mantis#1841)
add SNMP support for HPE 5500-24G-4SFP Switch (Mantis#1839)
add SNMP support for HP A5800AF-48G Switch with 2 Processors (JG225A) (Mantis#1843)
add SNMP support for HP 1810-8G v2 (J9802A) Switch (Mantis#1287)
Affected Issues
1287, 1599, 1839, 1841, 1843
mod - wwwroot/inc/snmp.php Diff File

Issue History

Date Modified Username Field Change
2014-07-28 12:39 christoph New Issue
2014-07-28 12:39 christoph Status new => assigned
2014-07-28 12:39 christoph Assigned To => adoom42
2014-07-28 12:39 christoph File Added: 1810-8.txt
2014-08-14 22:55 christoph File Added: 1810-8g.txt
2014-08-14 22:55 christoph Note Added: 0002463
2019-01-03 01:29 infrastation Assigned To adoom42 => rychka
2019-01-03 01:29 infrastation Status assigned => closed
2019-01-03 01:29 infrastation Resolution open => fixed
2019-01-03 01:29 infrastation Fixed in Version => 0.21.2
2019-01-03 01:29 infrastation Target Version => 0.21.2
2019-01-20 01:57 infrastation Changeset attached => RackTables master 9fe8f36c